# std::experimental::atomic_weak_ptr::is_lock_free

From cppreference.com
< cpp‎ | experimental‎ | atomic weak ptr

bool is_lock_free() const; |  |

Checks whether the atomic operations on all objects of this type are lock-free.

### Parameters

(none)

### Return value

true if the atomic operations on the objects of this type are lock-free, false otherwise.

### Exceptions

`noexcept` specification:
noexcept

### See also

std::atomic_is_lock_free(std::shared_ptr)std::atomic_load(std::shared_ptr)std::atomic_load_explicit(std::shared_ptr)std::atomic_store(std::shared_ptr)std::atomic_store_explicit(std::shared_ptr)std::atomic_exchange(std::shared_ptr)std::atomic_exchange_explicit(std::shared_ptr)std::atomic_compare_exchange_weak(std::shared_ptr)std::atomic_compare_exchange_strong(std::shared_ptr)std::atomic_compare_exchange_weak_explicit(std::shared_ptr)std::atomic_compare_exchange_strong_explicit(std::shared_ptr)

specializes atomic operations for std::shared_ptr
(function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/atomic_weak_ptr/is_lock_free&oldid=91392"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template